package cn.timer.api.dao.xcgl;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.xcgl.XcglAssoXzdazdy;
import cn.timer.api.dto.xcgl.ChangeSalaryDto;
import cn.timer.api.dto.xcgl.CheckSalaryStaffDto;
import cn.timer.api.dto.xcgl.FixedSalaryStaffDto;
import cn.timer.api.dto.xcgl.SearchSalariedPeopleDto;


/**
*  薪资档案自定义
* @author lalqq 2019-11-19
*/
@Repository
public interface XcglAssoXzdazdyMapper extends BaseMapper<XcglAssoXzdazdy> {

	List<XcglAssoXzdazdy> selectxcglassoxzdazdy(int qyid);
	
	
	int insertxcglassoxzdazdyList(List<XcglAssoXzdazdy> xcglassoxzdazdy);

	int dazdyupdate(XcglAssoXzdazdy xcglassoxzdazdy);
	
	List<FixedSalaryStaffDto> selectFixedSalaryStaff(SearchSalariedPeopleDto search);
	
	List<ChangeSalaryDto> AchieveSalaryAdjustment(Integer orgcode,Integer empnum);
	
	List<FixedSalaryStaffDto> SalaryAdjustmentRecord(Integer orgcode,Integer empnum);
	
	XcglAssoXzdazdy SalaryFixedWages(String zdmc);
	
	List<FixedSalaryStaffDto> selectPaygroupStaff(CheckSalaryStaffDto checksearch);
}
