package cn.timer.api.dto.xcgl;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CheckSalaryStaffDto extends Page{
	
	@ApiModelProperty(value="姓名/工号 ",example="姓名/工号")
	String text;
	
	@ApiModelProperty(value="薪资组id ",example="薪资组id")
	int paygroupid;
	
	@ApiModelProperty(value="企业编号 ",example="企业编号")
	int orgcode;
}
